Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableRoleListView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableRoleListView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableRoleListView.cs	(revision 8206)
@@ -50,7 +50,7 @@
         base.Content_Refreshed(sender, e);
         roleListView.Enabled = true;
-        storeButton.Enabled = true;
         roleListView.Content = Content.Roles;
         if (Content.Roles != null) {
+          storeButton.Enabled = true;
           Content.Roles.ItemsRemoved += new Collections.CollectionItemsChangedEventHandler<Collections.IndexedItem<Role>>(Roles_ItemsRemoved);
         }
Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserGroupListView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserGroupListView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserGroupListView.cs	(revision 8206)
@@ -50,7 +50,7 @@
         base.Content_Refreshed(sender, e);
         userGroupListView.Enabled = true;
-        storeButton.Enabled = true;
         userGroupListView.Content = Content.Groups;
         if (Content.Groups != null) {
+          storeButton.Enabled = true;
           Content.Groups.ItemsRemoved += new Collections.CollectionItemsChangedEventHandler<Collections.IndexedItem<UserGroup>>(Groups_ItemsRemoved);
         }
Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserListView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserListView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/RefreshableUserListView.cs	(revision 8206)
@@ -50,7 +50,7 @@
         base.Content_Refreshed(sender, e);
         userListView.Enabled = true;
-        storeButton.Enabled = true;
         userListView.Content = Content.Users;
         if (Content.Users != null) {
+          storeButton.Enabled = true;
           Content.Users.ItemsRemoved += new Collections.CollectionItemsChangedEventHandler<Collections.IndexedItem<User>>(Users_ItemsRemoved);
         }
Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.Designer.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.Designer.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.Designer.cs	(revision 8206)
@@ -86,4 +86,5 @@
       // storeButton
       // 
+      this.storeButton.Enabled = false;
       this.storeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.PublishToWeb;
       this.storeButton.Location = new System.Drawing.Point(31, 58);
Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserGroupView.cs	(revision 8206)
@@ -38,4 +38,16 @@
     }
 
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Access.AccessClient.Instance.Refreshing += new EventHandler(Content_Refreshing);
+      refreshableLightweightUserView.StorableStateChanged += new EventHandler(refreshableLightweightUserView_StorableStateChanged);
+    }
+
+    protected override void DeregisterContentEvents() {
+      Access.AccessClient.Instance.Refreshing -= new EventHandler(Content_Refreshing);
+      refreshableLightweightUserView.StorableStateChanged -= new EventHandler(refreshableLightweightUserView_StorableStateChanged);
+      base.DeregisterContentEvents();
+    }
+
     protected override void OnContentChanged() {
       base.OnContentChanged();
@@ -51,6 +63,6 @@
         idTextBox.Text = Content.Id.ToString();
 
-        refreshableLightweightUserView.Content = Access.AccessClient.Instance;
-        refreshableLightweightUserView.FetchSelectedUsers = new Func<List<Guid>>(delegate { return AccessAdministrationClient.CallAccessService<List<Guid>>(s => s.GetUserGroupIdsOfGroup(Content.Id)); });
+        refreshableLightweightUserView.Content = Content.Id != Guid.Empty ? Access.AccessClient.Instance : null;
+        refreshableLightweightUserView.FetchSelectedUsers = Content.Id != Guid.Empty ? new Func<List<Guid>>(delegate { return AccessAdministrationClient.CallAccessService<List<Guid>>(s => s.GetUserGroupIdsOfGroup(Content.Id)); }) : null;
       }
     }
@@ -77,4 +89,12 @@
       AccessAdministrationClient.Instance.ExecuteActionAsync(deleteAction, PluginInfrastructure.ErrorHandling.ShowErrorDialog);
     }
+
+    private void Content_Refreshing(object sender, EventArgs e) {
+      storeButton.Enabled = false;
+    }
+
+    private void refreshableLightweightUserView_StorableStateChanged(object sender, EventArgs e) {
+      storeButton.Enabled = true;
+    }
   }
 }
Index: branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserView.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserView.cs	(revision 8085)
+++ branches/GP-MoveOperators/HeuristicLab.Clients.Access.Administration/3.3/Views/UserView.cs	(revision 8206)
@@ -57,6 +57,15 @@
         lastActivityTextBox.Text = Content.LastActivityDate.ToString();
         lastLoginTextBox.Text = Content.LastLoginDate.ToString();
-        refreshableRoleSelectionListView.Content = AccessAdministrationClient.Instance;
+        refreshableRoleSelectionListView.Content = Content.Id != Guid.Empty ? AccessAdministrationClient.Instance : null;
         refreshableRoleSelectionListView.CurrentUser = Content;
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      if (Content == null) {
+        resetPasswordButton.Enabled = false;
+      } else {
+        resetPasswordButton.Enabled = Content.Id != Guid.Empty;
       }
     }
